Package org.apache.sling.commons.log.logback.internal.joran

# Class OsgiModel

java.lang.Object
ch.qos.logback.core.model.Model
org.apache.sling.commons.log.logback.internal.joran.OsgiModel

All Implemented Interfaces:
  `Serializable`

public class OsgiModel extends ch.qos.logback.core.model.Model
Model for the osgi element

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OsgiModel()`

## Method Summary

Modifier and Type
Method
Description
`protected OsgiModel`
`makeNewInstance()`
Factory method to create an instance of this model

### Methods inherited from class ch.qos.logback.core.model.Model

`addSubModel, addText, deepMarkAsSkipped, duplicate, equals, getBodyText, getLineNumber, getSubModels, getTag, hashCode, idString, isHandled, isSkipped, isUnhandled, markAsHandled, markAsSkipped, mirror, setLineNumber, setTag, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OsgiModel

public OsgiModel()

## Method Details

### makeNewInstance

protected OsgiModel makeNewInstance()
Factory method to create an instance of this model

Overrides:
  `makeNewInstance` in class `ch.qos.logback.core.model.Model`